Subject: RE: bug#33167: 26; Doc string of `region-extract-function'

From: Drew Adams <[email-masked]>
Date: Sat, 27 Oct 2018 12:30:31 -0700 (PDT)

> > But if the spec of the variable imposes nothing on the BEG
> > and END values passed for filtering, then why does it impose
> > a requirement that `filter-buffer-substring' must be called?
> 
> So that applications could rely on that, and could provide their own
> filter functions, if they want.

I see.  That makes sense.  Thx.

Is it really the case that the value of `region-extract-function'
can pass any limits it wants to `filter-buffer-substring', even
limits that have no relation to the pieces of the noncontiguous
region?

So the only thing specified is that `filter-buffer-substring'
gets called once for each each piece?  I.e., all that's specified
is that if the nc region has N pieces then `filter-buffer-substring'
is called N times - nothing more?